using System;
using WS;

[TypeDrawer]
public class ModelTypeDrawer : ITypeDrawer
{
    public bool HandlesType(Type type, object value)
    {
        return type == typeof(Model);
    }

    public object DrawAndGetNewValue(Type memberType, string memberName, object value, object target)
    {
        ComponentViewHelper.Draw(value);
        return value;
    }

    public void Destroy()
    {
    }
}
